Summary: a collection of scripts to lockdown/audit
Name: lockdown
Version: 1
Release: 3.cern
URL: https://twiki.cern.ch/twiki/bin/view/LinuxSupport/LinuxHardening
#Source0: cap-norawio-module.sh
Source1: lockdown-init.sh
Source2: the99lb-init-cron
Source3: lockdown-sysconfig.sh
Source4: the99lb.sysconfig
Source5: the99lb.cron
License: GPL
Group: System Environment/Base
BuildRoot: %{_tmppath}/%{name}-root
Requires: %{_sysconfdir}/init.d
Requires: kernel-module-lockdown
Requires: kernel-module-the99lb
Requires: /usr/bin/staprun
Requires: /sbin/auditctl
Conflicts: the99lb
BuildArch: noarch

%description
a collection of scripts to prevent an attacker from doing further harm
on a compromised machine and permit investigation, at the risk of
breaking some legitimate applications..

%install
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT
%{__install} -d -m0755       %{buildroot}%{_sysconfdir}/init.d/
%{__install} -m0755 %SOURCE1 %{buildroot}%{_sysconfdir}/init.d/zz_lockdown
%{__install} -m0755 %SOURCE2 %{buildroot}%{_sysconfdir}/init.d/the99lb
%{__install} -d -m0755       %{buildroot}%{_sysconfdir}/sysconfig
%{__install} -m0600 %SOURCE3 %{buildroot}%{_sysconfdir}/sysconfig/lockdown
%{__install} -m0750 %SOURCE4 %{buildroot}%{_sysconfdir}/sysconfig/the99lb
%{__install} -d -m0755       %{buildroot}%{_sysconfdir}/cron.d/
%{__install} -m0400 %SOURCE5 %{buildroot}%{_sysconfdir}/cron.d/the99lb

%clean
rm -rf $RPM_BUILD_ROOT

%preun
if [ "$1" = "0" ]; then
   /sbin/chkconfig --del lockdown
   /sbin/chkconfig --del the99lb
fi

%post 
if [ "$1" = "1" ]; then
   /sbin/chkconfig --add zz_lockdown
   /sbin/chkconfig --add the99lb
fi

%files
%defattr(-,root,root)
%{_sysconfdir}/init.d/zz_lockdown
%config(noreplace) %{_sysconfdir}/sysconfig/lockdown 
%{_sysconfdir}/cron.d/the99lb
%{_sysconfdir}/init.d/the99lb
%config(noreplace) %{_sysconfdir}/sysconfig/the99lb

%changelog
* Fri Apr 17 2009 Jan Iven <jan.iven@cern.ch> - 1-3.cern
- stop udev, prevent hotplugging

* Wed Dec 10 2008 Jan Iven <jan.iven@cern.ch> - 1-2.cern
- check for staprun
- remove error message after we can no longer access cap-bound (needs CAP_SYS_MODULE)
- default: disable modules only (no longer drop CAP_SYS_RAWIO, conflicts with monitoring)

* Fri Oct 31 2008 Jan Iven <jan.iven@cern.ch> - 1-1.cern
- Initial build.


